import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询转运码列表
export function listTransferCode(query) {
  return request({
    url:baseUrl +  '/business/transferCode/list',
    method: 'get',
    params: query
  })
}

// 查询转运码详细
export function getTransferCode(id) {
  return request({
    url: '/business/transferCode/' + id,
    method: 'get'
  })
}

// 新增转运码
export function addTransferCode(data) {
  return request({
    url:baseUrl +  '/business/transferCode',
    method: 'post',
    data: data
  })
}

// 修改转运码
export function updateTransferCode(data) {
  return request({
    url: '/business/transferCode',
    method: 'put',
    data: data
  })
}

// 删除转运码
export function delTransferCode(id) {
  return request({
    url: '/business/transferCode/' + id,
    method: 'delete'
  })
}
